Nie jesteś zalogowany na forum.

#1 2018-02-18 17:10:06

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,656
WWW

CUPS >=2.2.6-2 i drukarka nie drukuje

Od czasu powyższej wersji cups, zmienione zostały dwie rzeczy plik /etc/cups/cups-files.conf, w którym user i groups winny uzyskać numer 209 jak też katalog /etc/cups winien od tej chwili przynależeć do grupy cups. Stosowna informacja znajduje się w https://wiki.archlinux.org/index.php/CU … Interfaces jest też wyświetlana po dokonaniu aktualizacji.
Zmiany zostały dokonane. Plik cups-files.conf zawiera ww. wpis, a po wszelkich podnoszeniach usług, ponownym ich podniesieniu, wykonane zostało:

chpgr -R cups /etc/cups

Jedyne, co "dla pewności" jest wymagane.

Mam drukarkę Brother DCP-115C, która drukuje prawidłowo (sterownik brother-mfc-210c z AUR). Problem nie leży w sterowniku.

Po aktualizacji cups - system twierdzi co innego, a ja widzę (a raczej nie widzę) co innego. System uparcie twierdzi, że wysłał zadanie do drukowania, a następnie je wydrukował, a ja fizycznie nie mam żadnego wydruku. Drukarka też milczy i nie pokazuje przyjmowania danych z komputera.

Po włączeniu opcji LogLevel debug w cupsd.conf plik /etc/log/cups/error_log nie pokazuje żadnych błędów. Plik access_log informuje o dokonaniu prawidłowego wydruku: Print-Job successful-ok. Tyle, że wydruku jak nie było - tak nie ma.

Dla pewności usunąłem całe cups (z zależnościami), a nawet libcups, skasowałem katalog /etc/cups, zainstalowałem "na czysto" wersję cups 2.2.6-4, sterownik, skonfigurowałem drukarkę, podniosłem usługi - niczego to nie zmienia - zachowanie takie samo.

Wiem, że takich zgłoszeń na BBS od czasu opisanej wersji CUPS posypało się kilka, wszystkie (co najmniej) w pewien sposób związane z dokonaną zmianą. Żadna z nich nie jest dla mnie pomocna.

Cofnięcie cups do wersji 2.2.6-1 umożliwia drukowanie bez problemu. I to bez dokonania jakichkolwiek zmian w uprawnieniach do /etc/cups oraz w pliku cups-files.conf (te pozostają takie jak w wersjach >=2.2.6-2.

Jakieś pomysły?


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

Stopka

Napędzają nas PacmanVPS i MegiTeam

Forum oparte na FluxBB